#!/bin/bash

set -e

LOGFILE="/var/log/coremedia/import_content.log"

. /etc/profile

if [ -d {{ deployment_tmp_directory }}/test-data/content ]
then

  echo "" > "${LOGFILE}"

  {{ cms_tools_dir }}/bin/cm serverimport \
    --user admin \
    --password admin \
    --recursive \
    --no-validate-xml \
    {{ serverimport_extra_args | join(' ') }} \
    {{ deployment_tmp_directory }}/test-data/content > "${LOGFILE}"

  touch /etc/coremedia/content-imported

fi
